Subject: Internet Draft: Session Initiation Protocol (SIP) Non-eXempt Rate Control

From: <[email-masked]>
Date: Thu, 5 Mar 2020 10:12:24 +0000

Folks,

When we came to consider implementation and deployment of RFC7415 (SIP Rate Control), two important issues arose that are solved by this I-D; firstly concerning SIP priorities and the need to exempt specified critical messages; secondly a solution for roll-out in (very likely) heterogeneous network environments with non-compliant sources of traffic, the need for which is highlighted in RFC7339 (section 5.10.2). The method is a minor variation on the method defined by RFC7415 with oc-algo parameter value "rate", by introducing a new oc-algo value "nxrate", and an enhanced rate restriction algorithm, which fits neatly within the SOC protocol framework defined by RFC7339 (SIP Overload Control). We have just extended the family, as was a possibility envisaged by section 4.2 of RFC7339. Full details can be found in the I-D:

https://datatracker.ietf.org/submit/status/106827/

which was submitted last October. The SOC WG concluded in 2015 so I am proposing that the I-D should be moved to the sipcore WG for review and further consideration.

Regards,

Phil Williams (BT)